%define major 2
%define apiver 2
%define libname %mklibname lzo %{apiver} %{major}
%define develname %mklibname lzo -d

Summary:	Data compression library with very fast (de-)compression
Name:		liblzo
Version:	2.02
Release:	%mkrel 4
License:	GPL
URL:		http://www.oberhumer.com/opensource/lzo/
Source:		http://www.oberhumer.com/opensource/lzo/download/lzo-%version.tar.bz2
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
LZO is a portable lossless data compression library written in ANSI C. 
It offers pretty fast compression and *very* fast decompression. 
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while 
still decompressing at this very high speed.

%package -n	%{libname}
Summary:	Data compression library with very fast (de-)compression
Group:		System/Libraries
Provides:	%{name}

%description -n %{libname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%package -n	%{develname}
Summary:	Headers files of liblzo library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname lzo 2_2 -d

%description -n %{develname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.                    

%prep
%setup -qn lzo-%{version}

%build
%configure2_5x	--enable-shared
%make

%check
make check
make test

%install
rm -rf %{buildroot}
%makeinstall_std
install -m755 lzotest/lzotest -D %{buildroot}%{_bindir}/lzotest

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr (-,root,root)
%doc AUTHORS NEWS README THANKS doc/LZO.TXT doc/LZO.FAQ
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr (-,root,root)
%doc doc/LZOAPI.TXT doc/LZOTEST.TXT
%{_bindir}/lzotest
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/* 


%changelog
* Wed Feb 13 2008 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.02-4mdv2008.1
+ Revision: 167026
- fix installation of lzotest
- drop redundant COPYING and useless INSTALL doc
- move LZOAPI.TXT & LZOTEST.TXT to devel package
- install and lzotest to devel package as it could prove useful for developers

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.02-2mdv2008.0
+ Revision: 63573
- obsolete older devel package (suggested by mrl ;)

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.02-1mdv2008.0
+ Revision: 51460
- correct major
- new version
- new devel library policy
- spec file clean


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.01-2mdv2007.0
+ Revision: 108697
- Import liblzo

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 2.01-2mdv2007.1
- use check macro

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 2.01-1mdk
- fix provides
- new major
- New release 2.01

* Wed Jun 01 2005 Gtz Waschk <waschk@mandriva.org> 2.00-1mdk
- new major
- mkrel
- new version

* Mon Feb 28 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.08-5mdk
- fix provides

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.08-4mdk
- rebuild

